Name:		perl-Test-CleanNamespaces
Summary:	Check for uncleaned imports
Version:	0.18
Release:	1%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test-CleanNamespaces
Source0:	http://cpan.metacpan.org/authors/id/E/ET/ETHER/Test-CleanNamespaces-%{version}.tar.gz 
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::Find::Rule::Perl)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl(Package::Stash) >= 0.14
BuildRequires:	perl(Package::Stash::XS)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Sub::Identify)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(constant)
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(overload)
BuildRequires:	perl(parent)
BuildRequires:	perl(Role::Tiny) >= 1.003000
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More) >= 0.94
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::Tester)
# Optional Test Requirements
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Class::MOP::Class)
BuildRequires:	perl(metaclass)
%if 0%{?fedora}
BuildRequires:	perl(Moo) >= 1.000007
BuildRequires:	perl(Moo::Role)
%endif
BuildRequires:	perl(Moose)
BuildRequires:	perl(Moose::Exporter)
BuildRequires:	perl(Moose::Role)
BuildRequires:	perl(MooseX::Role::Parameterized)
BuildRequires:	perl(Mouse)
BuildRequires:	perl(Mouse::Role)
%endif
BuildRequires:	perl(Test::Warnings) >= 0.009
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Role::Tiny) >= 1.003000

%description
This module lets you check your module's namespaces for imported functions you
might have forgotten to remove with namespace::autoclean or namespace::clean
and are therefore available to be called as methods, which usually isn't want
you want.

%prep
%setup -q -n Test-CleanNamespaces-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test %{!?perl_bootstrap:AUTOMATED_TESTING=1}

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::CleanNamespaces.3*

%changelog
* Wed Jan 21 2015 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18
  - Remove Moose test requires <-> Test::CleanNamespaces test recommends
    circular relationship (softened to suggests)

* Tue Jan 20 2015 Paul Howarth <paul@city-fan.org> - 0.17-1
- Update to 0.17
  - Skip Mouse tests if some required interfaces are not available

* Mon Nov 10 2014 Paul Howarth <paul@city-fan.org> - 0.16-2
- Sanitize for Fedora submission

* Thu Sep  4 2014 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16
  - Bump Package::Stash prereq to ensure used methods are available
  - Skip Moose-related tests for normal installs, to get out of circularity
    hell if Moose is installed but broken and needing an upgrade

* Wed Aug 27 2014 Paul Howarth <paul@city-fan.org> - 0.14-2
- Don't run the optional tests when bootstrapping, to avoid circular build
  dependencies
- perl(Test::Warnings) is required when bootstrapping

* Thu Aug 14 2014 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Remove accidental dependency on Class::MOP (which turned into a circular
    dependency with Moose-2.1211)
- Use %%license where possible

* Wed Jun 25 2014 Paul Howarth <paul@city-fan.org> - 0.13-1
- Update to 0.13
  - Bump (optional) prereq on Moo to get some fixes for handling roles
- Edit out use of Test::Warnings in the test suite for old distributions that
  can't provide it

* Wed Jun 18 2014 Paul Howarth <paul@city-fan.org> - 0.12-1
- Update to 0.12
  - Also special case constant subs, which show up in the symbol table before
    perl 5.010 as 'constant::__ANON__'

* Tue Jun 17 2014 Paul Howarth <paul@city-fan.org> - 0.11-2
- Add upstream fix for Perl 5.8 compatibility

* Mon Jun 16 2014 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - Increased version for optional Role::Tiny prereq, to get the needed is_role
    interface
  - Now ignoring 'import', 'unimport' subs; also handle users of
    Moose::Exporter without erroring
  - Now ignoring overloaded methods
  - Now also properly handle classes using Class::MOP directly
  - Fix test diagnostics in the success case
  - Fix use of a new Scalar::Util export in tests
  - The return value of namespaces_clean() and all_namespaces_clean() is now
    consistent with the result of the test(s)
  - Fixed tests to expose an issue with Mouse classes, and documented this
    (now) known issue
- Switch to ExtUtils::MakeMaker flow
- Test suite now relies on perl 5.10 or later, so don't build for anything
  older
- Drop %%defattr, redundant since rpm 4.4
- BR: perl(Test::Requires) unconditionally

* Sun Mar  9 2014 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Fixed method identification in Moose and Mouse roles
- Update patch for building without Test::Requires

* Mon Mar  3 2014 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Lots more tests
  - In failing tests, identify the source of the uncleaned sub(s)
  - Remove the dependency on Class::MOP by inspecting the package stash
    directly
- Switch to Module::Build::Tiny flow
- Package upstream's new CONTRIBUTING and README.md files
- Don't bother trying to run the extra tests
- Test suite actually requires Test::More ≥ 0.94, so bundle a suitable
  version to use if necessary
- Drop all existing patches
- Add a patch to support building with old Module::Build::Tiny versions
- Add a patch to support building without Test::Requires if necessary

* Wed Sep 25 2013 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Re-release with fixed compile test
- Update patches as needed

* Thu Sep 19 2013 Paul Howarth <paul@city-fan.org> - 0.04-2
- Don't run the extra tests when bootstrapping

* Sun Sep 15 2013 Paul Howarth <paul@city-fan.org> - 0.04-1
- Update to 0.04
  - Remove use of deprecated Class::MOP::load_class
- This release by ETHER -> update source URL
- Add patches to support building with old Test::More versions
- Add buildreqs for and explicitly run the extra tests

* Thu Jul 25 2013 Paul Howarth <paul@city-fan.org> - 0.03-2
- Perl 5.18 rebuild

* Sat Jun 29 2013 Paul Howarth <paul@city-fan.org> - 0.03-1
- Initial RPM version
